package com.xxfc.platform.order.mapper;

import com.xxfc.platform.order.entity.DailyVehicleOrderStatistics;
import com.xxfc.platform.order.entity.OrderStatistics;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 每日统计数据
 * @author Administrator
 */
public interface DailyVehicleOrderStatisticsMapper extends Mapper<DailyVehicleOrderStatistics> {

    List<DailyVehicleOrderStatistics> getGmvAndMarginTotal();

    List<Map> getCompensationAndPostpone();

    List<DailyVehicleOrderStatistics> getPenalSum();

    List<DailyVehicleOrderStatistics> getRefundSecurityDeposit();

    List<DailyVehicleOrderStatistics> getViolationMoney();

    OrderStatistics monthOrderTotal(Integer companyId);
}
